package main

import (
	"github.com/tech/sendico/gateway/mntx/internal/appversion"
	si "github.com/tech/sendico/gateway/mntx/internal/server"
	"github.com/tech/sendico/pkg/mlogger"
	"github.com/tech/sendico/pkg/server"
	smain "github.com/tech/sendico/pkg/server/main"
)

func factory(logger mlogger.Logger, file string, debug bool) (server.Application, error) {
	return si.Create(logger, file, debug)
}

func main() {
	smain.RunServer("gateway", appversion.Create(), factory)
}
